package Irssi::Bot::BasicBot::Pluggable::Module::Auth;
use strict;
use warnings;
use base qw(Bot::BasicBot::Pluggable::Module);
use experimental 'signatures';

sub help ($self) {
    return "Authenticator for admin-level commands";
}

sub authed ($self, $username) {
    return 1
	if $username eq '@@@ local user @@@';
    return 0;
}

sub DUMMY { 1 }

1;

package #
    Bot::BasicBot::Pluggable::Module::Auth;
use strict;
use warnings;
use base qw(Irssi::Bot::BasicBot::Pluggable::Module::Auth);

sub DUMMY { 1 }

1;

